#include<bits/stdc++.h>

using namespace std;



int main(){
    ios_base::sync_with_stdio(false);
    string a, b, c = "";
    cin >> a >> b;
    int da = a.length(), db = b.length(), n = max(a.length(), b.length()); 
    if(a.length() > b.length()){
        int x = a.length() - b.length();
        b = string(x , '0').append(b);
    }

    else{
        int x = b.length() - a.length();
        a = string(x , '0').append(a);
    }

    for (int i = 0; i < n; i++)
    {
        if(a[i] > b[i] || (n-i) > db ) c += a[i];
        else if (a[i] < b[i] || (n-i) > da) c += b[i];
        else {c+=a[i]; c+=b[i];}
    }
    cout << c << endl;

    return 0;
}